// Import Bulma's core
@import "~bulma/sass/utilities/_all";


// initial variables
$black: hsl(0, 0%, 0%);
$white: hsl(0, 0%, 100%);
$red: hsl(356, 60%, 40%);
$blue: hsl(222, 60%, 40%);  
$cyan: hsl(194, 60%, 40%);
$family-primary: "Helvetica Neue", Helvetica, Arial, sans-serif;

// derived variables
$primary: $blue;
$primary-light: findLightColor($primary);
$primary-dark: findDarkColor($primary);
$primary-invert: findColorInvert($primary);

$info: $cyan;
$info-light: findLightColor($info);
$info-dark: findDarkColor($info);
$info-invert: findColorInvert($info);

$danger: $red;
$danger-light: findLightColor($danger);
$danger-dark: findDarkColor($danger);
$danger-invert: findColorInvert($danger);

// Lists and maps
$custom-colors: null !default;
$custom-shades: null !default;

// Setup $colors to use as bulma classes (e.g. 'is-twitter')
$colors: mergeColorMaps(
    (
        "black": (
            $white,
            $black,
        ),
        "white": (
            $black,
            $white,
        ),
        "light": (
            $light-invert,
            $light,
        ),
        "dark": (
            $dark-invert,
            $dark,
        ),
        "primary": (
            $primary,
            $primary-invert,
            $primary-light,
            $primary-dark,
        ),
        "link": (
            $link,
            $link-invert,
            $link-light,
            $link-dark,
        ),
        "info": (
            $info,
            $info-invert,
            $info-light,
            $info-dark,
        ),
        "success": (
            $success,
            $success-invert,
            $success-light,
            $success-dark,
        ),
        "warning": (
            $warning,
            $warning-invert,
            $warning-light,
            $warning-dark,
        ),
        "danger": (
            $danger,
            $danger-invert,
            $danger-light,
            $danger-dark,
        ),
    ),
    $custom-colors
);

// make titles all caps
.title {
    text-transform: uppercase; 
};
$title-weight: $weight-bold;


// Links
$link: $primary;
$link-invert: $primary-invert;
$link-focus-border: $primary;

// Make footer spacing smaller
$footer-padding: 1rem;

// Import Bulma and Buefy styles
@import "~bulma";
@import "~buefy/src/scss/buefy";

.sublabel {
    font-weight: 400;
}
.logo-stack {
    text-align: center;
}
.logo-stack-item {
    vertical-align: middle;
    padding-left: 1rem;
    padding-right: 1rem;
    min-width: 2in;
    max-width: 20vw;
}
.footer-logo {
    display: inline;
    vertical-align: middle;
    max-height: 2rem;
    padding-left: 1rem;
    padding-right: 1rem;
}

.navbar,.footer {
    background-color: $black;
    color: $cyan;
}

.navbar {
    border-bottom: white 1px solid;
}

.footer {
    border-top: white 1px solid;
}

.section {
    background-color: $black;
}

body {
    background-color: $black;
    color: $white;
    letter-spacing: 3.6px;
}

a.navbar-item {
    color: $white;
}

a.navbar-item:hover {
    background-color: hsl(0,0%,15%);
}

.box {
    background-color: $black;
    border: $white 1px solid;
}

.label {
    color: $white;
}

button.is-fullwidth {
    margin-top: 5px;
    margin-bottom: 5px;
}

button, .button {
    letter-spacing: 1.4px;
}

.md-body {
    background: $white;
    color: $black;
    letter-spacing: normal;
    padding: 20px;
    border-radius: 10px;
}

.title {
    color: $white
}

.hero {
    border-bottom: 1px solid $white;
}

.hero-horizontal {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.section-horizontal {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.big {
    padding: 30px;
    text-align: center;
    color: $white;
}

.modal-card-body {
    color: $black;
}
